{
  "name": "wxjy-zhsj-web",
  "version": "2024.0.0-SNAPSHOT",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --fix",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@antv/x6": "2.18.1",
    "@antv/x6-plugin-dnd": "2.1.1",
    "@antv/x6-plugin-keyboard": "2.2.3",
    "@antv/x6-plugin-scroller": "2.0.10",
    "@antv/x6-plugin-selection": "2.2.2",
    "@antv/x6-plugin-snapline": "2.1.7",
    "@cacp/bridge-core": "file:./cacp/core/bridge-core-1.0.0-alpha.15.tgz",
    "@cacp/svg-icons": "file:./cacp/icon/svg-icons-0.1.3.tgz",
    "@cacp/ui": "file:./cacp/ui/ui-0.3.17.tgz",
    "@vue/shared": "^3.5.25",
    "@wangeditor/editor": "5.1.23",
    "@wangeditor/editor-for-vue": "5.1.12",
    "axios": "1.7.7",
    "crypto-js": "4.2.0",
    "dayjs": "1.11.13",
    "echarts": "5.5.1",
    "element-plus": "2.8.6",
    "highlight.js": "^11.11.1",
    "js-file-download": "0.4.12",
    "lodash-es": "4.17.21",
    "nanoid": "5.0.8",
    "normalize.css": "8.0.1",
    "nprogress": "0.2.0",
    "pinia": "2.2.5",
    "pinia-plugin-persistedstate": "3.2.1",
    "qs": "6.12.3",
    "string-format": "2.0.0",
    "vue": "3.5.13",
    "vue-echarts": "7.0.3",
    "vue-router": "4.4.5",
    "vuedraggable": "2.24.3",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "1.10.4",
    "@tsconfig/node20": "20.1.4",
    "@types/crypto-js": "4.2.2",
    "@types/node": "22.8.4",
    "@types/nprogress": "0.2.3",
    "@types/qs": "6.9.15",
    "@types/string-format": "2.0.3",
    "@vitejs/plugin-vue": "4.1.0",
    "@vitejs/plugin-vue-jsx": "3.0.1",
    "@vue/eslint-config-prettier": "10.1.0",
    "@vue/eslint-config-typescript": "14.1.3",
    "@vue/tsconfig": "0.5.1",
    "eslint": "9.13.0",
    "eslint-plugin-vue": "9.30.0",
    "less": "4.2.0",
    "less-loader": "12.2.0",
    "npm-run-all2": "7.0.1",
    "prettier": "3.3.3",
    "sass": "^1.93.3",
    "typescript": "5.4.5",
    "vite": "^4.5.14",
    "vite-plugin-vue-devtools": "7.6.1",
    "vue-tsc": "2.1.10"
  }
}
